package com.cuit.basin.base.biz.controller.log;

import com.cuit.basin.base.api.log.dto.OperationLogCreateReqDTO;
import com.cuit.basin.base.biz.service.log.OperationLogService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @BelongsProject: basin-cloud
 * @BelongsPackage: com.cuit.basin.base.biz.controller
 * @Author: HouPJ
 * @Date: 2022/12/29 11:04
 * @Description: TODO
 */
@Api(tags = "0、操作日志管理")
@Slf4j
@RestController
@RequestMapping("/sys/operation-log")
public class OperationLogController {

    @Resource
    private OperationLogService operationLogService;

    @ApiOperation("创建操作日志")
    @RequestMapping(value = "/create", method = {RequestMethod.POST})
    void createOperationLog(@RequestBody OperationLogCreateReqDTO logCreateReqDTO){
        operationLogService.createOperateLog(logCreateReqDTO);
    }

}
