package com.cuit.basin.base.biz.controller.monitor.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @BelongsProject: sriversys
 * @BelongsPackage: com.cuit.sriver.sriversys.server.websocket.vo
 * @Author: HouPJ
 * @Date: 2022/12/17 15:51
 * @Description: TODO
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "系统盘符基础信息", description = "")
public class MonitorSysFileInfo {

    /**
     * 盘符路径
     */
    @ApiModelProperty(value = "盘符路径")
    private String dirName;
    /**
     * 盘符类型
     */
    @ApiModelProperty(value = "盘符类型")
    private String sysTypeName;
    /**
     * 文件类型
     */
    @ApiModelProperty(value = "文件类型")
    private String typeName;
    /**
     * 总大小
     */
    @ApiModelProperty(value = "总大小")
    private String total;
    /**
     * 剩余大小
     */
    @ApiModelProperty(value = "剩余大小")
    private String free;
    /**
     * 已经使用量
     */
    @ApiModelProperty(value = "已经使用量")
    private String used;
    /**
     * 资源的使用率
     */
    @ApiModelProperty(value = "资源的使用率")
    private double usage;

}
