package com.cuit.basin.base.biz.controller.monitor.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @BelongsProject: sriversys
 * @BelongsPackage: com.cuit.sriver.sriversys.server.websocket.vo
 * @Author: HouPJ
 * @Date: 2022/12/17 15:49
 * @Description: TODO
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel(value = "系统相关信息", description = "")
public class MonitorSysInfo {
    /**
     * 服务器名称
     */
    @ApiModelProperty(value = "服务器名称")
    private String computerName;
    /**
     * 服务器Ip
     */
    @ApiModelProperty(value = "服务器Ip")
    private String computerIp;
    /**
     * 项目路径
     */
    @ApiModelProperty(value = "项目路径")
    private String userDir;
    /**
     * 操作系统
     */
    @ApiModelProperty(value = "操作系统")
    private String osName;
    /**
     * 系统架构
     */
    @ApiModelProperty(value = "系统架构")
    private String osArch;


}
