package com.cuit.basin.base.biz.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.basin.base.biz.entity.dic.DicPosition;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author hpj
 * @since 2022-07-01
 */
@Mapper
public interface DicPositionMapper extends BaseMapper<DicPosition> {

    /**
     * 获取职位类型字典
     *
     * @return
     */
    List<DicPosition> fetchPositionTypeDic();
}
