package com.cuit.basin.base.biz.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cuit.basin.base.biz.entity.HydBiSnowB;
import com.cuit.basin.base.biz.vo.SnowDatasetView;
import org.apache.ibatis.annotations.Mapper;

import java.time.LocalDateTime;

/**
 * @author ASUS
 * @description 针对表【hyd_bi_snow_b(积雪数据)】的数据库操作Mapper
 * @createDate 2022-12-07 11:19:26
 * @Entity com.cuit.sriver.sriversys.entity.HydBiSnowB
 */
@Mapper
public interface HydBiSnowBMapper extends BaseMapper<HydBiSnowB> {

    Page<SnowDatasetView> querySnowDataSettByParam(Page<SnowDatasetView> page, LocalDateTime startTime, LocalDateTime endTime, String keyword);
}




