package com.cuit.basin.base.biz.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.basin.base.biz.entity.SnowData;
import com.cuit.basin.base.biz.pojo.SnowDataUnion;

import java.util.List;

/**
 * 积雪图层Mapper
 *
 * @author pyj
 */
public interface SnowDataMapper extends BaseMapper<SnowData> {
    /**
     * 查询最新积雪图层列表
     */
    List<SnowDataUnion> selectLatestSnowLayerList();
}
