package com.cuit.basin.base.biz.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.basin.base.biz.entity.TbSysErrorLog;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * 系统异常日志 Mapper 接口
 * </p>
 *
 * @author HouPJ
 * @since 2022-12-20
 */
@Mapper
public interface TbSysErrorLogMapper extends BaseMapper<TbSysErrorLog> {

   default List<TbSysErrorLog> selectListByModuleId(Integer moduleId){
       return selectList(new QueryWrapper<TbSysErrorLog>().eq("module",moduleId));
   }

}
