package com.cuit.basin.base.biz.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.basin.base.biz.entity.WatershedData;
import com.cuit.basin.base.biz.pojo.WatershedInfo;


import java.util.List;

/**
 * 流域基础数据Mapper
 *
 * @author pyj
 */
public interface WatershedDataMapper extends BaseMapper<WatershedData> {
    /**
     * 查询最新流域面雨量按最大值流域排序
     */
    List<WatershedInfo> selectWatershedOrderInfo();
}
