package com.cuit.basin.base.biz.entity; /***********************************************************************
 * Module:  LakeData.java
 * Author:  PYJ
 * Purpose: Defines the Class LakeData
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 湖泊数据
 */
@ApiModel(value = "湖泊数据", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("hyd_bi_lake_b")
public class LakeData {
    /**
     * 数据编号
     */
    @ApiModelProperty(value = "数据编号")
    private String lrcd;
    /**
     * 湖泊名称
     */
    @ApiModelProperty(value = "湖泊名称")
    private String lrnm;
    /**
     * 湖泊信息
     */
    @ApiModelProperty(value = "湖泊信息")
    private String lrinfo;
    /**
     * 地图服务ID
     */
    @ApiModelProperty(value = "地图服务ID")
    private Long geoid;
}