package com.cuit.basin.base.biz.entity.dic;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Builder
@TableName("t_dic_eigenvalue")
@ApiModel(value = "DicEigenvalue", description = "特征值字典")
public class DicEigenvalue {
    @TableId(value = "eigenvalue_name")
    @ApiModelProperty("特征值名称")
    private String eigenvalueName;

    @TableField("eigenvalue_type")
    @ApiModelProperty("所属类型")
    private String eigenvalueType;
}
