package com.cuit.basin.base.biz.entity.sys;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

/**
 * @author wzw
 */
@Getter
@Setter
@TableName("tb_sys_datauser")
@ApiModel(value = "LoginUser", description = "系统用户信息表")
public class LoginUser {

    /**
     * 登录名
     */
    @ApiModelProperty("用户id")
    private Integer id;
    /**
     * 登录名
     */
    @ApiModelProperty("登录名")
    private String loginname;

    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;

    /**
     * 部门或单位
     */
    @ApiModelProperty("部门或单位")
    private Integer dptId;

    /**
     * 所任职务
     */
    @ApiModelProperty("所任职务")
    private Integer positionId;
    /**
     * 权限等级
     */
    @ApiModelProperty("权限等级")
    private Integer permissionId;
    /**
     * 电话号码
     */
    @ApiModelProperty("电话号码")
    private String tel;

    /**
     * 密码
     */
    @ApiModelProperty("密码")
    private String password;

    /**
     * 标志 0-正常 1-禁用
     */
    @ApiModelProperty("部门或单位")
    private Integer flag;

    /**
     * 最后一次修改密码时间
     */
    @ApiModelProperty("最后一次修改密码时间")
    private Date passchangdate;

    /**
     * 常用地址IP
     */
    @ApiModelProperty("常用地址IP")
    private String lastip;

    /**
     * 最后一次登录时间
     */
    @ApiModelProperty("最后一次登录时间")
    private Date lastlogindate;

    /**
     * 密码输入错误次数
     */
    @ApiModelProperty("密码输入错误次数")
    private Integer logerrnum;


}
