package com.cuit.basin.base.biz.mq.redismq.message;

import com.cuit.basin.base.redismq.core.pubsub.AbstractChannelMessage;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Author: HouPJ
 * @Date: 2022/12/21 10:55
 * @Description: 模型任务刷新消息 Message
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class ModelTaskRefreshMessage extends AbstractChannelMessage {

    @Override
    public String getChannel() {
        return "task.refresh";
    }

}
