package com.cuit.basin.base.biz.mq.redismq.producer;

import com.cuit.basin.base.biz.mq.redismq.message.ModelTaskRefreshMessage;
import com.cuit.basin.base.redismq.core.RedisMQTemplate;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;

/**
 * @Author: HouPJ
 * @Date: 2022/12/21 11:04
 * @Description: 模型任务相关消息的 Producer
 */
@Component
public class ModelTaskProducer {

    @Resource
    private RedisMQTemplate redisMQTemplate;

    /**
     * 发送 {@link ModelTaskRefreshMessage} 消息
     */
    public void sendModelTaskRefreshMessage() {
        ModelTaskRefreshMessage message = new ModelTaskRefreshMessage();
        redisMQTemplate.send(message);
    }

}
