package com.cuit.basin.base.biz.pojo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.SuperBuilder;

/**
 * GBHM模型参数校准
 *
 * @author Xiao Yinrui
 */
@EqualsAndHashCode(callSuper = true)
@SuperBuilder
@Data
@ApiModel(value = "GBHM模型参数校准前台展示类", description = "")
public class GBHMCalibration extends ModelCalibration {
    /**
     * SMF
     */
    @ApiModelProperty("SMF")
    private String smf;
    /**
     * SMFTMP
     */
    @ApiModelProperty("SMFTMP")
    private String smftmp;

//    public GBHMCalibration(Integer ID, Integer MID, LocalDateTime dataTime, String STCD, Double NSE, Double R2, Double FACTOR, LocalDateTime STDataTime, LocalDateTime EDDataTime, String SMF, String SMFTMP) {
//        super(ID, MID, dataTime, STCD, NSE, R2, FACTOR, STDataTime, EDDataTime);
//        this.SMF = SMF;
//        this.SMFTMP = SMFTMP;
//    }
}
