package com.cuit.basin.base.biz.pojo; /***********************************************************************
 * Module:  HistoryCompareView.java
 * Author:  PYJ
 * Purpose: Defines the Class HistorySimilar
 ***********************************************************************/


import com.cuit.basin.base.biz.pojo.HydroStationDataValue;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;

/**
 * 历史相似
 */
@Builder
@Data
@ApiModel(value = "历史相似", description = "")
public class HistorySimilar {
    /**
     * 年
     */
    @ApiModelProperty(value = "年")
    private Integer yr;
    /**
     * 相似度值
     */
    @ApiModelProperty(value = "相似度值")
    private String sv;
    /**
     * 对应数据列表
     */
    @ApiModelProperty(value = "对应数据列表")
    private List<HydroStationDataValue> data;
}