package com.cuit.basin.base.biz.pojo; /***********************************************************************
 * Module:  LakeData.java
 * Author:  PYJ
 * Purpose: Defines the Class LakeData
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 湖泊数据
 */
@ApiModel(value = "湖泊数据", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("hyd_bi_lake_b")
public class LakeDataUnion {
    /**
     * 数据编码
     */
    @ApiModelProperty(value = "数据编码")
    private String datacd;
    /**
     * 湖泊名称
     */
    @ApiModelProperty(value = "湖泊名称")
    private String lrnm;
    /**
     * 湖泊信息
     */
    @ApiModelProperty(value = "湖泊信息")
    private String lrinfo;
    /**
     * 地图服务ID
     */
    @ApiModelProperty(value = "地图服务ID")
    private Long geoid;
    /**
     * 工作空间
     */
    @ApiModelProperty(value = "工作空间")
    private String workspace;
    /**
     * 图层名
     */
    @ApiModelProperty(value = "图层名")
    private String lyr;
    /**
     * 地图样式
     */
    @ApiModelProperty(value = "地图样式")
    private String style;
    /**
     * 地图范围
     */
    @ApiModelProperty(value = "地图范围")
    private String bbox;
    /**
     * 地图服务地址
     */
    @ApiModelProperty(value = "地图服务地址")
    private String address;
    /**
     * 拼接地图url
     */
    @ApiModelProperty(value = "拼接地图url")
    private String url;
}