package com.cuit.basin.base.biz.pojo;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.basin.base.biz.pojo
 * @Description
 * @Author tianjunbiao
 * @CreateTime: 2022/12/04 15:17:17
 * @Version 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class QueryPersonalCenterInfo {
    /**
     * 登录名
     */
    @ApiModelProperty(value = "登录名")
    private String loginname;

    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名")
    private String name;

    /**
     * 部门或单位
     */
    @ApiModelProperty(value = "部门或单位")
    private String dptName;

    /**
     * 所任职务
     */
    @ApiModelProperty(value = "所任职务")
    private String positionName;

    /**
     * 权限等级
     */
    @ApiModelProperty(value = "权限等级")
    private String permissionLevelName;

    /**
     * 电话号码
     */
    @ApiModelProperty(value = "电话号码")
    private String tel;
    /**
     * 最后一次修改密码时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "最后一次修改密码时间")
    private Date passchangdate;
    /**
     * 常用地址IP
     */
    @ApiModelProperty(value = "常用地址IP")
    private String lastip;

    /**
     * 最后一次登录时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "最后一次登录时间")
    private LocalDateTime lastlogindate;

}