package com.cuit.basin.base.biz.pojo.monitor;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.basin.base.biz.pojo.monitor
 * @Author: HouPJ
 * @Date: 2022/12/22 14:54
 * @Description: TODO
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ModelAttributeReq extends BaseAttributeReq{

    @ApiModelProperty(value = "模型运行总数")
    private Integer modelRunTotal;

    @ApiModelProperty(value = "模型运行平均时长")
    private String timeAvg;

    @ApiModelProperty(value = "模型运行最大时长")
    private String timeMax;

    @ApiModelProperty(value = "模型运行最小时长")
    private String timeMin;

}
