package com.cuit.basin.base.biz.query;


import com.cuit.basin.framework.common.base.BasePageQuery;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@AllArgsConstructor
@NoArgsConstructor
@Data
public class SysUserQuery extends BasePageQuery {

    @ApiModelProperty(value = "姓名", name = "name", required = false, example = "蒲运均")
    private String name;

    @ApiModelProperty(value = "部门或单位", name = "dptId", required = false, example = "1")
    private Integer dptId;

    @ApiModelProperty(value = "所任职务", name = "positionId", required = false, example = "1")
    private Integer positionId;

    @ApiModelProperty(value = "权限等级", name = "permissionId", required = false, example = "1")
    private Integer permissionId;

}
