package com.cuit.basin.base.biz.service;

import com.cuit.basin.base.biz.vo.AccuracyEvaluationView;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

@Service
public interface AccuracyEvaluationService {
    /**
     * 查询精度评估信息
     *
     * @param stcd     站号
     * @param mid      模型id
     * @param dataTime 起报时间
     * @return AccuracyEvaluationView
     */
    AccuracyEvaluationView queryAccuracyEvaluationInfo(String stcd, Integer mid, LocalDateTime dataTime);
}
