package com.cuit.basin.base.biz.service;

import com.cuit.basin.base.biz.pojo.DictionaryDto;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author hpj
 */
@Service
public interface DictionaryHandlerService {

    /**
     * 获取字典表内所有信息
     *
     * @return
     */
    List dictionaryFetch();

    /**
     * 新增字典
     *
     * @param dictionaryDto
     * @return
     */
    Integer addDictionary(DictionaryDto dictionaryDto);

    /**
     * 编辑字典
     *
     * @param dictionaryDto
     */
    void updateDictionary(DictionaryDto dictionaryDto);

    /**
     * 删除字典表项
     *
     * @param ids
     */
    void deleteDictionaryItem(String ids);
}
