package com.cuit.basin.base.biz.service;

import com.cuit.basin.base.biz.vo.HydroStationDataView;
import org.springframework.stereotype.Service;

@Service
/**
 * 水文站点数据查询服务
 */
public interface HydroDataQueryService {
    /**
     * 查询最新水文站点数据
     *
     * @return
     */
    HydroStationDataView queryLatestHydroStationData();

    /**
     * 查询最新水文站点数据排序
     *
     * @return
     */
    HydroStationDataView queryLatestHydroStationDataOrder(String orderby);
}
