package com.cuit.basin.base.biz.service.log;

import com.cuit.basin.base.api.log.dto.ApiErrorLog;
import com.cuit.basin.base.biz.convert.SysErrorLogConvert;
import com.cuit.basin.base.biz.dao.TbSysErrorLogMapper;
import com.cuit.basin.base.biz.entity.TbSysErrorLog;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @BelongsProject: basin-cloud
 * @BelongsPackage: com.cuit.basin.base.biz.service
 * @Author: HouPJ
 * @Date: 2022/12/28 15:03
 * @Description: TODO
 */
@Service
@Slf4j
public class ErrorLogServiceImpl implements ErrorLogService{

    @Resource
    private TbSysErrorLogMapper errorLogMapper;

    @Override
    public void createErrorLog(ApiErrorLog apiErrorLog) {
        TbSysErrorLog errorLog = SysErrorLogConvert.INSTANCE.convert(apiErrorLog);
        errorLogMapper.insert(errorLog);
    }

}
