package com.cuit.basin.base.biz.service.log;

import com.cuit.basin.base.api.log.dto.OperationLogCreateReqDTO;
import com.cuit.basin.base.biz.convert.SysLogConvert;
import com.cuit.basin.base.biz.dao.TbSysLogMapper;
import com.cuit.basin.base.biz.entity.SysLog;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @BelongsProject: basin-cloud
 * @BelongsPackage: com.cuit.basin.base.biz.service
 * @Author: HouPJ
 * @Date: 2022/12/28 14:24
 * @Description: TODO
 */
@Service
@Slf4j
public class OperationLogServiceImpl implements OperationLogService{

    @Resource
    private TbSysLogMapper sysLogMapper;

    @Override
    public void createOperateLog(OperationLogCreateReqDTO operateLog) {
        SysLog sysLog = SysLogConvert.INSTANCE.convert(operateLog);
        sysLogMapper.insert(sysLog);
    }
}
