package com.cuit.basin.base.biz.vo; /***********************************************************************
 * Module:  GlacierView.java
 * Author:  PYJ
 * Purpose: Defines the Class GlacierView
 ***********************************************************************/

import com.cuit.basin.base.biz.pojo.GlacierDataUnion;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 冰川
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class GlacierView {
    /**
     * 冰川图层列表
     */
    @ApiModelProperty(value = "冰川图层列表")
    private List<GlacierDataUnion> glacierLayerList;
}