package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.pojo.CurrData;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


@NoArgsConstructor
@AllArgsConstructor
@Data
@Builder
@ApiModel(value = "HydroForeCurrDataView", description = "水文预测订正数据类")
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class HydroForeCurrDataView {

    @ApiModelProperty(value = "订正数据列表")
    private List<CurrData> currDataList;
}
