package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.pojo.HydroStationDataInfo;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 水文站点数据
 */
@ApiModel(value = "水文站点数据", description = "")
@NoArgsConstructor
@AllArgsConstructor
@Data
@Builder
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class HydroStationDataView {
    /**
     * 水文站点数据列表
     */
    @ApiModelProperty(value = "水文站点数据列表")
    private List<HydroStationDataInfo> hydroStationDataList;
}
