package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.entity.HydroStationInfo;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


/**
 * 水文站点信息
 */
@ApiModel(value = "", description = "")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class HydroStationInfoView {
    /**
     * 水文站点信息列表
     */
    @ApiModelProperty(value = "水文站点信息列表")
    private List<HydroStationInfo> hydroStationInfoList;
}
