package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.entity.ModelDic;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 预测数据类型字典
 */
@ApiModel(value = "预测数据类型字典", description = "")
@NoArgsConstructor
@AllArgsConstructor
@Data
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Builder
public class ModelDicView {
    /**
     * 预测数据类型列表
     */
    @ApiModelProperty(value = "预测数据类型列表")
    private List<ModelDic> modelDicList;
}
