package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.entity.ModelLog;
import com.cuit.basin.framework.common.ret.PageVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * 模型运行日志前台展示类
 *
 * @author Xiao Yinrui
 */
@Builder
@Data
@ApiModel(value = "模型运行日志前台展示类", description = "")
public class ModelLogView {
    /**
     * 模型日志列表
     */
    @ApiModelProperty(value = "模型日志列表")
    private PageVo<ModelLog> modelLogList;
}
