package com.cuit.basin.base.biz.vo; /**
 * Module:  SnowView.java
 * Author:  PYJ
 * Purpose: Defines the Class SnowView
 * <p>
 * 积雪
 * <p>
 * 积雪
 */

/**
 * 积雪
 */

import com.cuit.basin.base.biz.pojo.SnowDataUnion;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 为空属性、字段不返回
 */
@ApiModel(value = "为空属性、字段不返回", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Builder
public class SnowView {
    /**
     * 积雪图层列表
     */
    @ApiModelProperty(value = "积雪图层列表")
    private List<SnowDataUnion> snowLayerList;
}