package com.cuit.basin.base.biz.vo; /***********************************************************************
 * Module:  CharacteristicValueOrderView.java
 * Author:  PYJ
 * Purpose: Defines the Class CharacteristicValueOrderView
 ***********************************************************************/

import com.cuit.basin.base.biz.pojo.WatershedInfo;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 流域排序
 */
@ApiModel(value = "流域排序", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
/**
 * 为空属性、字段不返回
 */
@Builder
@JsonInclude(value = JsonInclude.Include.NON_NULL)

public class WatershedInfoView {
    /**
     * 流域排序数据列表
     */
    @ApiModelProperty(value = "流域排序数据列表")
    private List<WatershedInfo> watershedOrderList;
}