package com.cuit.basin.base.biz.vo; /**
 * Module:  WatershedMeteForecastView.java
 * Author:  PYJ
 * Purpose: Defines the Class WatershedMeteForecastView
 * <p>
 * 流域气象预报
 * <p>
 * 流域气象预报
 */

/**
 * 流域气象预报
 */

import com.cuit.basin.base.biz.entity.WatershedMeteForecast;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Data
public class WatershedMeteForecastView {
    /**
     * 流域站点预报数据列表
     */
    @ApiModelProperty(value = "流域站点预报数据列表")
    private List<WatershedMeteForecast> watershedMeteForecastList;
}