package com.cuit.basin.framework.common.constant;

/**
 * @author AI
 * @Description:
 * @since 2019-11-03
 */
public interface Constant {

    public final static int LOGINERRORMAXNUM = 5;

    public final static int CHANGPASSWORDDAYS = 365;
    //缺省站号
    public final  static String DEFSTATION = "56288";
    String PATTERN_DATETIME = "yyyy-MM-dd HH:mm:ss";
    String PATTERN_DATE = "yyyy-MM-dd";
    String PATTERN_TIME = "HH:mm:ss";
    String PATTERN_YEAR = "yyyy";
    String PATTERN_YEARMONTH = "yyyy-MM";
    /**
     * redis存储token设置的过期时间
     */
    public static final Integer TOKEN_EXPIRE_TIME = 60 * 60 * 2;

    /**
     * 设置可以重置token过期时间的时间界限
     */
    public static final Integer TOKEN_RESET_TIME = 60 * 60 * 12;

    /**
     * 存放鉴权信息的Header名称，默认是Authorization
     */
    public static final String HTTPTOKENHEADERNAME = "token";
    /**
     * Token键名
     */
    String TOKEN_KEY_NAME = "Authorization";
    /**
     * Token有效时间, 2小时, 60 * 60 * 2
     */
    Long AGENT_ADMIN_EFFECTIVE_TIME = 7200L;
    /**
     * 测试: 时间 5分钟, 60 * 5
     */
    Long TEST_TIME = 300L;
    /**
     * 测试: redis锁配置时间: 60秒
     */
    Long REDIS_LOCK_TIME = 60L;
    /**
     * 默认成功消息
     */
    String DEFAULT_SUCCESS_MESSAGE = "操作成功";
    /**
     * 默认为空消息
     */
    String DEFAULT_NULL_MESSAGE = "暂无承载数据";

    String TIMEZONE = "GMT+8";


    char U_A = 'A';
    char L_A = 'a';
    char U_Z = 'Z';
    char L_Z = 'z';

    String DIFF_AVG = "距平";
    String CONFIRM = "确认";
    String MAX_Z = "最高水位";
    String MIN_Z = "最低水位";
    String AVG_Z = "平均水位";
    String MAX_Q = "最大流量";
    String MIN_Q = "最低流量";
    String AVG_Q = "平均流量";
    String MAX = "最大";
    String MIN = "最小";
    String AVG = "平均";

}
