package com.cuit.basin.framework.common.constant;



import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.sriver.sriversys.base.constant
 * @Author: HouPJ
 * @Date: 2022/12/22 9:25
 * @Description: 模型运行任务枚举
 */
@Getter
@AllArgsConstructor
public enum ModleTaskEnum {

    /**
     * 结束
     */
    TASK_FINISH(1,"结束"),
    /**
     * 未结束
     */
    TASK_RUNNING(0,"未结束"),
    /**
     * 异常停止
     */
    TASK_ERROR_STOP(2,"异常停止"),
    /**
     * 手动运行
     */
    TASK_METHOD_MANUAL(3,"手动运行"),
    /**
     * 定时调度
     */
    TASK_METHOD_REGULAR_SCHEDULING(4,"定时调度");

    /**
     * 类型
     */
    private final Integer type;
    /**
     * 类型
     */
    private final String typeName;


}
