package com.cuit.basin.framework.common.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.sriver.sriversys.base.constant
 * @Author: HouPJ
 * @Date: 2022/12/22 9:25
 * @Description: 模块类型枚举
 */
@Getter
@AllArgsConstructor
public enum ModuleEnum {

    /**
     * 评估
     */
    ASSESS(1),
    /**
     * 测试
     */
    TEST(2),
    /**
     * 监测
     */
    MONITOR(3),
    /**
     * 登录
     */
    LOGIN(4),
    /**
     * 个人中心
     */
    PERSONAL_CENTER(5),
    /**
     * 实时监控
     */
    RTM_MONITOR(6),
    /**
     * 模型管理
     */
    MODEL_MANAGE(7),
    /**
     * 水文数据
     */
    HYDROLOGY(8),
    /**
     * 气象数据
     */
    METEOROLOGY(9);

    /**
     * 类型
     */
    private final Integer type;


}
