package com.cuit.basin.framework.common.pojo;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.sriver.sriversys.mq.model
 * @Author: HouPJ
 * @Date: 2022/12/22 16:11
 * @Description: 模型管理消息提
 */
@Builder
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ModelMessage {
    /**
     * 消息类型
     */
    private String type;
    /**
     * 消息体
     */
    private String message;
}
