package com.cuit.basin.framework.common.utils.communiqueutils;//package com.cuit.sriver.sriversys.utils.communiqueutils;
//
//
//import com.cuit.model.word.CommuniqueData;
//
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.stereotype.Component;
//
//import java.io.File;
//import java.util.Calendar;
//import java.util.Date;
//import java.util.Map;
//
//@Slf4j
//@Component
//public class CommuniqueTool {
//
//
//    /**
//     * 生成公报
//     *
//     * @return
//     */
//    public String createCommunique(String title, String signer, String issue, String pngpath, String pngurl, String content, String datatime, String datatype, String region, String satelite, Map<String, Object> config, boolean ispreview) {
//        Date date = new Date();
//        Calendar calendar = Calendar.getInstance();
//        Integer year = calendar.get(Calendar.YEAR);
//        int month = calendar.get(Calendar.MONTH) + 1;
//        int day = calendar.get(Calendar.DAY_OF_MONTH);
//        String publishtime = getYYYYMMDDString(year, month, day);
//        publishtime = publishtime.replaceAll("/", "");
//        String outPdfFileName = datatype + "_" + satelite + "_" + region + "_" + datatime + "_" + publishtime + ".pdf";
//        if (ispreview) {
//            outPdfFileName = "preview_" + datatype + "_" + satelite + "_" + region + "_" + datatime + publishtime + ".pdf";
//        }
//        CommuniqueData communiqueData = new CommuniqueData();
//        if (title == null || title.equalsIgnoreCase("")) {
//            title = (String) config.get("Title");
//        }
//        communiqueData.setYear(year.toString());
//        communiqueData.setIssue(issue);
//        String publish = (String) config.get("publish");
//        if (publish != null || publish.equalsIgnoreCase("")) {
//            communiqueData.setPublish(publish);
//        } else {
//            communiqueData.setPublish("神木气象");
//        }
//
//        if (signer == null || signer.equalsIgnoreCase("")) {
//            signer = (String) config.get("issuer");
//        }
//        String imgWdith = (String) config.get("imgwdith");
//        if (imgWdith != null) {
//            try {
//                int w = Integer.parseInt(imgWdith);
//                communiqueData.setImgWidth(w);
//            } catch (NumberFormatException e) {
//                communiqueData.setImgWidth(470);
//            }
//        } else {
//            communiqueData.setImgWidth(470);
//        }
//        String imgHeight = (String) config.get("imgheight");
//        if (imgHeight != null) {
//            try {
//                int h = Integer.parseInt(imgHeight);
//                communiqueData.setImgHeight(h);
//            } catch (NumberFormatException e) {
//                communiqueData.setImgHeight(507);
//            }
//        } else {
//            communiqueData.setImgHeight(507);
//        }
//
//        String pdfPath = (String) config.get("outpath");
//        String outpdffilepath = "";
//        if (pdfPath != null) {
//            outpdffilepath = pdfPath + outPdfFileName;
//        } else {
//            outpdffilepath = "D:/smweb/doc" + File.separator + outPdfFileName;
//        }
//
//        String templatefileName = (String) config.get("templatefileName");
//        if (templatefileName == null) {
//            templatefileName = "data" + File.separator + "template/communiquetemplate2.docx";
//        }
//        communiqueData.setImgFileName1(pngpath);
//        communiqueData.setImgFileName2(pngpath);
//        communiqueData.setPicnum(2);
//        communiqueData.setTemplateFileName(templatefileName);
//        communiqueData.setContent(content);
//        communiqueData.setTitle(title);
//        communiqueData.setDefenseGuide("");
//        boolean resflag = false;
//        try {
//            CreateCommunique createCommunique = new CreateCommunique();
//            log.info("正在生成文件：" + outPdfFileName);
//            resflag = createCommunique.create(communiqueData, outpdffilepath);
//            String pdfurl = "http://121.37.165.19:8085/file/doc/" + outPdfFileName;
//            if (resflag) {
//                if (!ispreview) {
//                    log.info("公报文件生成成功，正在入库");
//
//                    log.info("公报入库成功。");
//                        return pdfurl;
//                } else {
//                    return pdfurl;
//                }
//            } else {
//                log.info("生成公报失败。数据时间：" + datatime + "数据类型：" + datatype + "卫星类型：" + satelite + "区域：" + region);
//                return null;
//            }
//        } catch (Exception e) {
//            log.info("生成公报文件出错，错误信息：" + e.getMessage());
//            return null;
//        }
//    }
//
//    private String getYYYYMMDDString(int year, int month, int day) {
//        String s = "";
//        s = s + year;
//        if (month < 10) {
//            s = s + "/" + "0" + month;
//        } else {
//            s = s + "/" + month;
//        }
//
//        if (day < 10) {
//            s = s + "/" + "0" + day;
//        } else {
//            s = s + "/" + day;
//        }
//        return s;
//    }
//}
