package com.cuit.basin.framework.log.aop;

import org.springframework.stereotype.Component;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.sriver.sriversys.server.log.enums
 * @Author: HouPJ
 * @Date: 2022/11/12 17:27
 * @Description: TODO
 */
@Component
public class OperationEnum {
    /**
     * 增加
     */
    public static final int OPERATION_ADD = 0;
    /**
     * 删除
     */
    public static final int OPERATION_DELETE = 1;
    /**
     * 修改
     */
    public static final int OPERATION_MODIFY = 2;
    /**
     * 查询
     */
    public static final int OPERATION_QUERY = 3;
    /**
     * 审核
     */
    public static final int OPERATION_VERIFY = 4;
    /**
     * 登录
     */
    public static final int OPERATION_LOGIN = 5;
    /**
     * 数据导入
     */
    public static final int OPERATION_DATA_IMPORT = 6;
    /**
     * 数据导出
     */
    public static final int OPERATION_DATA_OUTPUT = 7;
    /**
     * 数据下载
     */
    public static final int OPERATION_DATA_DOWNLOAD = 8;

    public int[] specialOpType = {0, 1, 2, 4};

    public int[] getSpecialOpType() {
        return specialOpType;
    }

    public void setSpecialOpType(int[] specialOpType) {
        this.specialOpType = specialOpType;
    }
}
