package com.cuit.basin.base.websocket.server;

/**
 * @BelongsProject: sriversys
 * @BelongsPackage: com.cuit.sriver.sriversys.server.websocket.server
 * @Author: HouPJ
 * @Date: 2022/12/17 14:36
 * @Description: WebSocketServer
 */
public interface WebSocketServer {

    /**
     * 向当前所有客户端发送消息
     * @param message
     */
    void sendGroupInfo(String message);

    /**
     * 获取当前链接着的客户端总数
     * @return
     */
    int getConcurrentClientCount();

}
