package com.cuit.sriver.sriversys;

import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;

@SpringBootApplication
@Slf4j
@MapperScan(basePackages = "com.cuit.sriver.sriversys.dao")
@EnableDiscoveryClient
public class BasinDataEtlApplication {
    public static void main(String[] args) {
        SpringApplication.run(BasinDataEtlApplication.class, args);
    }
}
