package com.cuit.sriver.sriversys.dao;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.sriver.sriversys.entity.TDicModule;
import org.apache.ibatis.annotations.Mapper;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author hpj
 * @since 2022-07-01
 */
@Mapper
public interface DicModuleMapper extends BaseMapper<TDicModule> {
    default TDicModule obtainModuleDic(Integer moduleId){
        return selectOne(new QueryWrapper<TDicModule>().eq("type_code",moduleId));
    }
}
