package com.cuit.sriver.sriversys.dao;

import com.cuit.sriver.sriversys.entity.HydSiForeaccuS;
import com.github.jeffreyning.mybatisplus.base.MppBaseMapper;
import org.apache.ibatis.annotations.Mapper;

import java.time.LocalDateTime;
import java.util.List;

/**
 * @author ASUS
 */
@Mapper
public interface HydSiForeaccuSMapper extends MppBaseMapper<HydSiForeaccuS> {
    HydSiForeaccuS selectByMultiField(String stcd, Integer mid, LocalDateTime dataTime);

    /**
     * 查询模型拟合曲线
     *
     * @param stationNo 站号
     * @return ModuleFittedDataView
     */
    List<HydSiForeaccuS> selectByNewDateTime(String stationNo);
}
