package com.cuit.sriver.sriversys.dao;

import com.cuit.sriver.sriversys.entity.HydroYearCharacteristicValue;
import com.github.jeffreyning.mybatisplus.base.MppBaseMapper;
import org.apache.ibatis.annotations.Mapper;


/**
 * 水文年特征值Mapper
 *
 * @author xiaoyinrui
 */
@Mapper
public interface HydroYearCharacteristicValueMapper extends MppBaseMapper<HydroYearCharacteristicValue> {
    /**
     * 查询总年数
     *
     * @return Integer
     */
    Integer selectYearsCount();
}
