package com.cuit.sriver.sriversys.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.cuit.sriver.sriversys.entity.TfReport;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author ASUS
 * @description 针对表【tf_report(研究报告)】的数据库操作Mapper
 * @createDate 2022-12-06 16:26:34
 * @Entity com.cuit.sriver.sriversys.entity.TfReport
 */
@Mapper
public interface TfReportMapper extends BaseMapper<TfReport> {

    Page<TfReport> queryReportByParam(Page<TfReport> page, Integer year, String dataType, String keyword);

    /**
     * 通过id串查数据
     *
     * @param ids id串
     * @return
     */
    List<TfReport> selectByIds(String ids);
}




