package com.cuit.sriver.sriversys.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @TableName t_dic_bulletin_type
 */
@TableName(value ="t_dic_bulletin_type")
@Data
public class DicBulletinType implements Serializable {
    /**
     * 类型id
     */
    @TableField(value = "type_id")
    @ApiModelProperty("类型id")
    private Integer typeId;

    /**
     * 公报类型
     */
    @TableField(value = "type")
    @ApiModelProperty("公报类型")
    private String type;

    private static final long serialVersionUID = 1L;
}