package com.cuit.sriver.sriversys.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * 冰川数据集
 *
 * @TableName hyd_bi_glacier_s
 */
@TableName(value = "hyd_bi_glacier_s")
@Data
public class HydBiGlacierS implements Serializable {
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
    /**
     * 数据集id
     */
    @TableId(value = "SET_ID", type = IdType.AUTO)
    private Integer SETID;
    /**
     * 时间
     */
    @TableField(value = "DATACD")
    private Integer DATACD;
    /**
     * 集名称
     */
    @TableField(value = "NM")
    private String NM;
    /**
     * 冰川个数
     */
    @TableField(value = "GLACIER_NUM")
    private Integer GLACIERNUM;
    /**
     * 总面积
     */
    @TableField(value = "TOTAL_AREA")
    private Double TOTALAREA;
    /**
     *
     */
    @TableField(value = "TOTAL_RATIO")
    private Double TOTALRATIO;
    /**
     * 总长度
     */
    @TableField(value = "TOTAL_LENGTH")
    private Double TOTALLENGTH;
    /**
     * 图层Id
     */
    @TableField(value = "GEOID")
    private Long GEOID;

}