package com.cuit.sriver.sriversys.entity.sys;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

/**
 * @author wzw
 */
@AllArgsConstructor
@NoArgsConstructor
@Getter
@Setter
@ApiModel(value = "User", description = "系统用户信息输入参数")
public class User {

    @ApiModelProperty("登录名")
    private String loginname;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("部门或单位")
    private String dptName;

    @ApiModelProperty("所任职务")
    private String positionName;

    @ApiModelProperty("权限等级")
    private String permissionLevelName;

    @ApiModelProperty("电话号码")
    private String tel;

    @ApiModelProperty("密码")
    private String password;
}