package com.cuit.sriver.sriversys.pojo;

import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@ApiModel(value = "ModeEigenvalue", description = "模型预报站点特征值类")
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ModeEigenvalue {
    @ApiModelProperty("模型预报站点特征值列表")
    private List<DicEigenvalue> eigenvalues;
}
