package com.cuit.sriver.sriversys.pojo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Getter;
import lombok.Setter;

/**
 * 数据库自增序列
 *
 * @author Xiao Yinrui
 * @link <a href="https://github.com/PancakeCN">Github主页</a>
 * @date 2022/6/16 16:02
 */
@Getter
@Setter
@TableName("t_sequences")
public class Sequence {
    /**
     * 自增序列名
     */
    @TableField("name")
    private String name;
    /**
     * 序列当前值
     */
    @TableField("current_value")
    private Integer currentValue;
    /**
     * 步长
     */
    @TableField("increment")
    private Integer increment;
    /**
     * 当前日期
     */
    @TableField("curr_date")
    private String currDate;
}
