package com.cuit.basin.model.dao;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.basin.model.entity.ModelDic;

/**
 * 模型字典Mapper
 *
 * @author jyp
 */
public interface ModelDicMapper extends BaseMapper<ModelDic> {

    /**
     * 查询模型信息
     *
     * @param name 模型唯一id名
     * @return ModelDic
     */
    default ModelDic selectModelInfo(String name) {
        return selectOne(new LambdaQueryWrapper<ModelDic>()
                .eq(ModelDic::getMname, name));
    }
}
