package com.cuit.basin.model.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @BelongsProject: sbasinModel
 * @BelongsPackage: com.cuit.sriver.model.base.constant
 * @Author: HouPJ
 * @Date: 2022/12/27 9:45
 * @Description: TODO
 */
@Getter
@AllArgsConstructor
public enum ModelTypeEnums {

    /**
     * GBH 模型
     */
    MODEL_GBHM(1,"GBHM"),
    /**
     * M2
     */
    MODEL_M2(2,"M2"),
    /**
     * M3
     */
    MODEL_M3(3,"M3"),
    /**
     * 手动运行
     */
    MODEL_Mannual(4,"手动运行");

    /**
     * 类型
     */
    private final Integer type;
    /**
     * 类型名称
     */
    private final String modelName;

}
