package com.cuit.basin.model.job.params;

import lombok.Builder;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * GBHM模型所需的数据
 *
 * @author xiaoyinrui
 * @link <a href="https://github.com/PancakeCN">Github主页</a>
 * @date 2022/12/26 15:04
 */
@Builder
@Data
public class GBHMModelData {
    /**
     * 起报时间
     */
    private LocalDateTime dataTime;
    /**
     * 开始时间
     */
    private LocalDateTime stTime;
    /**
     * 结束时间
     */
    private LocalDateTime endTime;
}
