package com.cuit.basin.model.mq;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.sriver.sriversys.mq
 * @Author: HouPJ
 * @Date: 2022/12/22 16:12
 * @Description: 消息体基类
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class BaseMessage {
    /**
     * 消息类型
     */
    private String type;
    /**
     * 消息体
     */
    private String message;
}
