package com.cuit.basin.model.pojo;

import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.sriver.sriversys.controller.model.vo
 * @Author: HouPJ
 * @Date: 2022/12/23 9:32
 * @Description: TODO
 */

@Data
@Builder
@ApiModel(value = "模型任务初始化参数", description = "")
public class InitTaskParams {

    @ApiModelProperty(value = "模型任务id")
    public String id;

    @ApiModelProperty(value = "模型id")
    public Integer mid;

    @ApiModelProperty(value = "模型名称-中文")
    public String mnmcn;

    @ApiModelProperty(value = "模型运行方式")
    public String rm;

    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    @ApiModelProperty(name = "起报时间", notes = "")
    public LocalDateTime dateTime;

}
