package com.cuit.basin.model.pojo;

import com.cuit.basin.framework.common.constant.ModleTaskEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.sriver.sriversys.controller.model.vo
 * @Author: HouPJ
 * @Date: 2022/12/23 9:37
 * @Description: TODO
 */
@Builder
@Data
@ApiModel(value = "模型任务运行参数", description = "")
public class ModelTaskInfo {

    @ApiModelProperty(value = "模型任务日志id")
    private String id;

    /**
     * 结束标识 0-未结束 1-结束 2-异常停止
     * {@link ModleTaskEnum}
     */
    @ApiModelProperty(value = "结束标识 0-未结束 1-结束 2-异常停止")
    private Integer isFinish;

    /**
     * 运行进度
     */
    @ApiModelProperty(value = "运行进度")
    private Double process;

}
