package com.cuit.basin.model.service;

import com.cuit.basin.model.pojo.InitTaskParams;
import com.cuit.basin.model.pojo.SuccessTaskParams;

/**
 * @Author: HouPJ
 * @Date: 2022/12/23 9:37
 * @Description: TODO
 */
public interface ModelTaskService {

    /**
     * 发送模型运行进度消息
     * @param initTaskParams
     */
    void sendModelTaskProcess(InitTaskParams initTaskParams, String process);

    /**
     * 发送模型运行成功消息
     * @param success
     */
    void sendModelTaskSuccess(SuccessTaskParams success);

    /**
     * 发送模型运行异常消息
     * @param taskId 任务id
     */
    void sendModelTaskException(String taskId);

    /**
     * 运行模型方法
     * @param params 运行参数
     */
    void runModel(InitTaskParams params);

}
