package com.cuit.basin.base.api.log;

import com.cuit.basin.base.api.log.dto.ApiErrorLog;
import io.swagger.annotations.Api;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * @BelongsProject: basin-cloud
 * @BelongsPackage: com.cuit.basin.base.api.log
 * @Author: HouPJ
 * @Date: 2022/12/28 14:51
 * @Description: TODO
 */
@FeignClient("basin-base-service")
@Api(tags = "RPC 服务 -错误日志")
public interface ErrorLogApi {

    /**
     * 创建操作日志api
     * @param errorLog 异常日志对象
     */
    @PostMapping( "/sys/error-log/create")
    void createErrorLog(@RequestBody ApiErrorLog errorLog);
}

