package com.cuit.basin.base.api.log.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @BelongsProject: basin-cloud
 * @BelongsPackage: com.cuit.basin.base.api.log.dto
 * @Author: HouPJ
 * @Date: 2022/12/28 13:56
 * @Description: TODO
 */

@ApiModel("RPC 服务 - 操作日志创建 Request DTO")
@Data
public class OperationLogCreateReqDTO {

    @ApiModelProperty("访问时间")
    private LocalDateTime visitTime;

    @ApiModelProperty("访问账户")
    private String userName;

    @ApiModelProperty("访问ip")
    private String ip;

    @ApiModelProperty("执行时长")
    private String executionTime;

    @ApiModelProperty("执行方法")
    private String method;

    @ApiModelProperty("模块类型  模块字典（t_dic_module）")
    private String module;

    @ApiModelProperty("操作名称")
    private String opration;

    @ApiModelProperty("系统类型 0-web端  1-小程序")
    private Integer sysType;

    @ApiModelProperty("操作类型  0-增 1-删 2-改 3-查 4-审核")
    private Integer opType;

    @ApiModelProperty("有效标识 0-无效 1-有效")
    private Integer isValid;


}
