package com.cuit.basin.base.biz.controller;//package com.cuit.sriver.sriversys.controller;
//
//
//import com.cuit.sriver.sriversys.base.ret.RetResponse;
//import com.cuit.sriver.sriversys.base.ret.RetResult;
//import com.cuit.sriver.sriversys.pojo.UserInfo;
//import com.cuit.sriver.sriversys.service.UserManagerService;
//import io.swagger.annotations.*;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.RequestMapping;
//import org.springframework.web.bind.annotation.RequestMethod;
//import org.springframework.web.bind.annotation.RequestParam;
//import org.springframework.web.bind.annotation.RestController;
//
//import java.util.List;
//
//@Api(tags = "13决策大屏")
//@Slf4j
//@RestController
//@RequestMapping("/watershedsystem/largescreendisplay")
//public class LargeScreenDisplayController {
//    @Autowired
//    UserManagerService userManagerService;
//
//    @ApiOperation("查询所有用户")
//    @RequestMapping(value = "/querySysUser", method = {RequestMethod.GET})
//    @ApiResponses({
//            @ApiResponse(code = 200, message = "成功"),
//            @ApiResponse(code = 401, message = "访问未经授权"),
//            @ApiResponse(code = 403, message = "访问被禁止的"),
//            @ApiResponse(code = 404, message = "未找到访问接口"),
//            @ApiResponse(code = 500, message = "服务器内部错误"),
//            @ApiResponse(code = 900, message = "失败")
//    })
//    public RetResult<List<UserInfo>> queryAllUser() {
//        try {
//            List<UserInfo> list = userManagerService.queryAllUser();
//            return RetResponse.makeOKRsp(list);
//        } catch (Exception e) {
//            log.error("查询所有用户时服务器出现错误！" + e.getMessage());
//            return RetResponse.makeRsp(500, e.getMessage());
//        }
//    }
//
//    /**
//     * @author: ZengwuWang
//     * @date: 2022/3/22 23:51
//     * @version: 1.0
//     */
//    @ApiOperation("删除用户")
//    @RequestMapping(value = "/deleteuser", method = {RequestMethod.GET})
//    @ApiImplicitParam(name = "account", value = "登录帐号", required = true, dataTypeClass = String.class, paramType = "query")
//    @ApiResponses({
//            @ApiResponse(code = 200, message = "成功"),
//            @ApiResponse(code = 900, message = "失败"),
//            @ApiResponse(code = 401, message = "访问未经授权"),
//            @ApiResponse(code = 403, message = "访问被禁止的"),
//            @ApiResponse(code = 404, message = "未找到访问接口"),
//            @ApiResponse(code = 500, message = "服务器内部错误")
//    })
//    public RetResult<Boolean> deletUser(@RequestParam String account) {
//        Boolean aBoolean = userManagerService.deletUser(account);
//        return RetResponse.makeOKRsp(aBoolean);
//    }
//
//    /**
//     * @author: ZengwuWang
//     * @date: 2022/3/23 0:49
//     * @version: 1.0
//     */
//    @ApiOperation("新增用户")
//    @RequestMapping(value = "/adduser", method = {RequestMethod.POST})
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "account", value = "帐号", required = true, dataTypeClass = String.class, paramType = "query"),
//            @ApiImplicitParam(name = "username", value = "用户名", required = true, dataTypeClass = String.class, paramType = "query"),
//            @ApiImplicitParam(name = "phonenumber", value = "电话", required = true, dataTypeClass = String.class, paramType = "query"),
//            @ApiImplicitParam(name = "password", value = "密码", required = true, dataTypeClass = String.class, paramType = "query"),
//            @ApiImplicitParam(name = "region", value = "所属区域", required = true, dataTypeClass = String.class, paramType = "query"),
//            @ApiImplicitParam(name = "authorize", value = "用户类型(1:管理员，0：普通用户)", required = true, dataTypeClass = Integer.class, paramType = "query")
//    })
//    @ApiResponses({
//            @ApiResponse(code = 200, message = "成功"),
//            @ApiResponse(code = 900, message = "失败"),
//            @ApiResponse(code = 401, message = "访问未经授权"),
//            @ApiResponse(code = 403, message = "访问被禁止的"),
//            @ApiResponse(code = 404, message = "未找到访问接口"),
//            @ApiResponse(code = 500, message = "服务器内部错误")
//    })
//    public RetResult<Boolean> addUser(String account, String username, String phonenumber, String qq, String password, String region, Integer authorize) {
//        try {
//            if (userManagerService.addUser(account, username, phonenumber, qq, password, region, authorize)) {
//                return RetResponse.makeOKRsp(true);
//            } else {
//                return RetResponse.makeErrRsp("新增用户失败！");
//            }
//        } catch (Exception e) {
//            log.error("新增用户时服务器出现错误！" + e.getMessage());
//            return RetResponse.makeRsp(500, e.getMessage());
//        }
//    }
//
//    /**
//     * @author: ZengwuWang
//     * @date: 2022/3/23 0:49
//     * @version: 1.0
//     */
//    @ApiOperation("编辑用户")
//    @RequestMapping(value = "/edituser", method = {RequestMethod.PUT})
//    @ApiImplicitParams({
//            @ApiImplicitParam(name = "account", value = "帐号", required = true, dataTypeClass = String.class, paramType = "query"),
//            @ApiImplicitParam(name = "username", value = "用户名", required = false, dataTypeClass = String.class, paramType = "query"),
//            @ApiImplicitParam(name = "phonenumber", value = "电话", required = false, dataTypeClass = String.class, paramType = "query"),
//            @ApiImplicitParam(name = "password", value = "密码", required = false, dataTypeClass = String.class, paramType = "query"),
//            @ApiImplicitParam(name = "region", value = "所属区域", required = false, dataTypeClass = String.class, paramType = "query"),
//            @ApiImplicitParam(name = "authorize", value = "用户类型(1:管理员，0：普通用户)", required = false, dataTypeClass = Integer.class, paramType = "query")
//    })
//    @ApiResponses({
//            @ApiResponse(code = 200, message = "成功"),
//            @ApiResponse(code = 900, message = "失败"),
//            @ApiResponse(code = 401, message = "访问未经授权"),
//            @ApiResponse(code = 403, message = "访问被禁止的"),
//            @ApiResponse(code = 404, message = "未找到访问接口"),
//            @ApiResponse(code = 500, message = "服务器内部错误")
//    })
//    public RetResult<Boolean> editUser(String account, String username, String phonenumber, String qq, String password, String region, Integer authorize) {
//        try {
//            if (userManagerService.editUser(account, username, phonenumber, qq, password, region, authorize)) {
//                return RetResponse.makeOKRsp(true);
//            } else {
//                return RetResponse.makeErrRsp("编辑用户失败！");
//            }
//        } catch (Exception e) {
//            log.error("编辑用户时服务器出现错误！" + e.getMessage());
//            return RetResponse.makeRsp(500, e.getMessage());
//        }
//    }
//}
