package com.cuit.basin.base.biz.controller.model.vo;

import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.sriver.sriversys.controller.model.vo
 * @Author: HouPJ
 * @Date: 2022/12/23 9:32
 * @Description: TODO
 */
@Builder
@Data
@ApiModel(value = "模型任务初始化参数", description = "")
public class InitTaskParams {

    @ApiModelProperty(value = "模型任务日志id",hidden = true)
    private String id;

    @ApiModelProperty(value = "模型id")
    private Integer mid;

    @ApiModelProperty(value = "模型名称-中文")
    private String mnmcn;

    @ApiModelProperty(value = "模型运行方式" ,hidden = true)
    private String rm;

    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    @ApiModelProperty(value = "起报时间", notes = "")
    private LocalDateTime dateTime;

}
