package com.cuit.basin.base.biz.convert;

import com.cuit.basin.base.biz.controller.model.vo.InitTaskParams;
import com.cuit.basin.base.biz.controller.model.vo.ModelTaskInfo;
import com.cuit.basin.base.biz.controller.model.vo.SuccessTaskParams;
import com.cuit.basin.base.biz.entity.ModelLog;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.basin.base.biz.convert
 * @Author: HouPJ
 * @Date: 2022/12/23 9:59
 * @Description: TODO
 */
@Mapper(componentModel = "spring")
public interface ModelLogConvert {

    ModelLogConvert INSTANCE = Mappers.getMapper(ModelLogConvert.class);

    /**
     * 转换方法
     * @param bean 转换前
     * @return 转换后
     */
    ModelLog convert(InitTaskParams bean);

    /**
     * 转换方法
     * @param bean 转换前
     * @return 转换后
     */
    ModelTaskInfo convert(ModelLog bean);

    /**
     * 转换方法
     * @param bean 转换前
     * @return 转换后
     */
    ModelLog convert(SuccessTaskParams bean);

}
