package com.cuit.basin.base.biz.convert;

import com.cuit.basin.base.api.log.dto.ApiErrorLog;
import com.cuit.basin.base.biz.entity.TbSysErrorLog;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * @BelongsProject: basin-cloud
 * @BelongsPackage: com.cuit.basin.base.biz.convert
 * @Author: HouPJ
 * @Date: 2022/12/28 15:06
 * @Description: TODO
 */
@Mapper
public interface SysErrorLogConvert {

    SysErrorLogConvert INSTANCE = Mappers.getMapper(SysErrorLogConvert.class);

    /**
     * 将异常日志参数类转换为数据库DO类
     * @param apiErrorLog 异常日志参数类
     * @return 数据库DO类
     */
    TbSysErrorLog convert(ApiErrorLog apiErrorLog);


}
