package com.cuit.basin.base.biz.convert;

import com.cuit.basin.base.api.log.dto.OperationLogCreateReqDTO;
import com.cuit.basin.base.biz.entity.SysLog;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * @BelongsProject: basin-cloud
 * @BelongsPackage: com.cuit.basin.base.biz.convert
 * @Author: HouPJ
 * @Date: 2022/12/28 14:37
 * @Description: TODO
 */
@Mapper
public interface SysLogConvert {

    SysLogConvert INSTANCE = Mappers.getMapper(SysLogConvert.class);

    /**
     * 将创建日志参数类转换为数据库DO类
     * @param logCreateReqDTO 创建日志参数类
     * @return 数据库DO类
     */
    SysLog convert(OperationLogCreateReqDTO logCreateReqDTO);



}
