package com.cuit.basin.base.biz.dao;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.basin.base.biz.entity.dic.DicPermissionLevel;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author hpj
 * @since 2022-07-01
 */
@Mapper
public interface DicPermissionLevelMapper extends BaseMapper<DicPermissionLevel> {

    /**
     * 查询权限等级字典
     *
     * @return
     */
    List<DicPermissionLevel> fetchPermissionLevelTypeDic();
}
