package com.cuit.basin.base.biz.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.basin.base.biz.entity.MeteBiWarntB;
import com.cuit.basin.base.biz.entity.MeteStationInfo;
import org.apache.ibatis.annotations.Mapper;

import java.time.LocalDateTime;
import java.util.List;

/**
 * 气象站点信息 Mapper
 *
 * @author xiaoyinrui
 * @link <a href="https://github.com/PancakeCN">Github主页</a>
 * @date 2022/12/21 20:36
 */
@Mapper
public interface MeteStationInfoMapper extends BaseMapper<MeteStationInfo> {
    List<MeteStationInfo> getGazetteRainParams(LocalDateTime stTime, LocalDateTime endTime, Integer bsId, String keywords, String situation);

    /**
     * 获取阈值
     * @return
     */
    MeteBiWarntB seletMeteBiWarntB();
}
