package com.cuit.basin.base.biz.entity; /***********************************************************************
 * Module:  GlacierData.java
 * Author:  PYJ
 * Purpose: Defines the Class GlacierData
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * 冰川数据类
 */
@ApiModel(value = "冰川数据类", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("hyd_bi_glacier_b")
public class GlacierData {
    /**
     * 数据编码
     */
    @ApiModelProperty(value = "数据编码")
    private String datacd;
    /**
     * 冰川名称
     */
    @ApiModelProperty(value = "冰川名称")
    private String nm;
    /**
     * 冰川面积
     */
    @ApiModelProperty(value = "冰川面积")
    private Double area;
    /**
     * 冰川占比
     */
    @ApiModelProperty(value = "冰川占比")
    private Double ratio;
    /**
     * 冰川长度
     */
    @ApiModelProperty(value = "冰川长度")
    private Double length;
    /**
     * 数据时间
     */
    @ApiModelProperty(value = "数据时间")
    private Date dt;
    /**
     * 地图服务id
     */
    @ApiModelProperty(value = "地图服务id")
    private Long geoid;
}