package com.cuit.basin.base.biz.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 * 水文站点信息表
 * </p>
 *
 * @author llw
 * @since 2022-11-17
 */
@Getter
@Setter
@TableName("hyd_bi_stinfo_b")
@ApiModel(value = "HydBiStinfoB对象", description = "水文站点信息表")
public class HydBiStinfoB implements Serializable {

    private static final long serialVersionUID = 1L;

    private String stcd;

    private String stnm;

    private Integer bsid;

    private String info;

    private Double lgtd;

    private Double lttd;

    private Double grel;

    private Double wrz;

    private Double wrq;

    private Double grz;

    private Double grq;

    private Double ldkel;

    private Double rdkel;


}
