package com.cuit.basin.base.biz.entity.dic;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author hpj
 * @since 2022-07-01
 */
@Getter
@Setter
@Builder
@TableName("t_dic_department")
@ApiModel(value = "DicDepartment对象", description = "")
public class DicDepartment implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "dpt_id", type = IdType.AUTO)
    private Integer dptId;

    @TableField("dpt_name")
    private String dptName;


}
