package com.cuit.basin.base.biz.pojo;

import com.cuit.basin.base.biz.entity.dic.DicEigenvalue;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@ApiModel(value = "RainEigenvalue", description = "雨情站点特征值类")
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class RainEigenvalue {
    @ApiModelProperty("雨情站点特征值列表")
    private List<DicEigenvalue> eigenvalues;
}
