package com.cuit.basin.base.biz.service;

import com.cuit.basin.base.biz.vo.HydroAnalysisView;
import org.springframework.stereotype.Service;

import java.time.LocalDate;

/**
 * 水情分析sevice层
 */
@Service
public interface HydrologicalAnalysisService {
    HydroAnalysisView queryAnalysisData(String stationNo, String queryType, String timePeriod, LocalDate startTime, LocalDate endTime);
    Double queryAnalysisRatio(String stationNo, String queryType,String timePeriod, LocalDate startTime, LocalDate endTime, String dataType, String characterType);
}
