package com.cuit.basin.base.biz.service.impl.dic.factories;

import com.cuit.basin.base.biz.service.DictionaryHandlerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * @author wzw
 */
@Component
public class DictionaryFactory {

    @Autowired
    private Map<String, DictionaryHandlerService> strategyMap = new HashMap<>();

    /**
     * 根据字典字符串获取字典类对象列表
     *
     * @param dictionaryType
     * @return
     */
    public DictionaryHandlerService createDictionaryFetch(String dictionaryType) {
        return strategyMap.get(dictionaryType);
    }

}
