package com.cuit.basin.base.biz.service.log;

import com.cuit.basin.base.biz.convert.ApiErrorLogConvert;
import com.cuit.basin.base.biz.dao.TbSysErrorLogMapper;
import com.cuit.basin.base.biz.entity.log.ApiErrorLog;
import com.cuit.basin.base.biz.entity.TbSysErrorLog;
import org.springframework.scheduling.annotation.Async;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @BelongsProject: sbasinsys
 * @BelongsPackage: com.cuit.basin.base.biz.service.log
 * @Author: HouPJ
 * @Date: 2022/12/22 10:04
 * @Description: TODO
 */
@Service
public class ApiErrorLogFrameworkServiceImpl implements ApiErrorLogFrameworkService{

    @Resource
    private TbSysErrorLogMapper apiErrorLogMapper;

    @Override
    @Async
    public void createApiErrorLog(ApiErrorLog apiErrorLog) {
        TbSysErrorLog sysErrorLog = ApiErrorLogConvert.INSTANCE.convert(apiErrorLog);
        sysErrorLog.setProcessStatus(0);
        apiErrorLogMapper.insert(sysErrorLog);
    }
}
