package com.cuit.basin.base.biz.vo; /***********************************************************************
 * Module:  CharacteristicValueOrderView.java
 * Author:  PYJ
 * Purpose: Defines the Class CharacteristicValueOrderView
 ***********************************************************************/

import com.cuit.basin.base.biz.pojo.CharacteristicValueOrder;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 特征值排序
 */
@ApiModel(value = "特征值排序", description = "")
@AllArgsConstructor
@NoArgsConstructor
@Data
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class CharacteristicValueOrderView {
    /**
     * 特征值排序列表
     */
    @ApiModelProperty(value = "特征值排序列表")
    private List<CharacteristicValueOrder> characteristicValueOrderList;
}