package com.cuit.basin.base.biz.vo; /***********************************************************************
 * Module:  HistoryCompareView.java
 * Author:  PYJ
 * Purpose: Defines the Class HistoryCompareView
 ***********************************************************************/


import com.cuit.basin.base.biz.entity.HydroStationData;
import com.cuit.basin.base.biz.pojo.DataCompare;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 数据对比-历史同期和多站对比
 */
@ApiModel(value = "数据对比-历史同期和多站对比", description = "")
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class DataCompareView {
    /**
     * 数据列表-曲线
     */
    @ApiModelProperty(value = "数据列表-曲线")
    private List<DataCompare> dataCompares;
    /**
     * 数据列表-列表
     */
    @ApiModelProperty(value = "数据列表-列表")
    private List<HydroStationData> dataCompareList;
}