package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.entity.HydroDayCharacteristicValue;
import com.cuit.basin.base.biz.entity.HydroHistorySimilarValue;
import com.cuit.basin.base.biz.pojo.DataCompare;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;

/**
 * 数据对比-相似年对比
 *
 * @author Xiao Yinrui
 */
@Builder
@Data
@ApiModel(value = "数据对比-相似年对比", description = "")
public class DataSimilarView {
    /**
     * 相似值列表
     */
    @ApiModelProperty(value = "相似值列表")
    private List<HydroHistorySimilarValue> similarValueList;
    /**
     * 数据列表-曲线
     */
    @ApiModelProperty(value = "数据列表-曲线")
    private List<DataCompare> dataCompares;
    /**
     * 数据列表-列表
     */
    @ApiModelProperty(value = "数据列表-列表")
    private List<HydroDayCharacteristicValue> dataCompareList;
}
