package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.entity.GeoserverData;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 地图服务数据
 */
@ApiModel(value = "地图服务数据", description = "")
@AllArgsConstructor
@NoArgsConstructor
@Data
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class GeoserverDataView {
    /**
     * 地图服务数据列表
     */
    @ApiModelProperty(value = "地图服务数据列表")
    private List<GeoserverData> geoserverDataList;
}
