package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.pojo.HydroForecastDetail;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


@Data
@ApiModel(value = "HydroForecastDetailView", description = "水文预测曲线列表")
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class HydroForecastDetailView {
    @ApiModelProperty(value = "水文预测曲线列表")
    private List<HydroForecastDetail> hydroForecastDetailList;
}
