package com.cuit.basin.base.biz.vo; /***********************************************************************
 * Module:  HydroMonthCharacterLevelValue.java
 * Author:  PYJ
 * Purpose: Defines the Class HydroMonthCharacterLevelValue
 ***********************************************************************/

import com.cuit.basin.base.biz.pojo.HydroMonthCharacterValueCompare;
import com.cuit.basin.framework.common.ret.PageVo;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * 报汛特征值-月历史特征值对比返回类
 *
 * @author pyj
 */
@Builder
@Data
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@ApiModel(value = "报汛特征值-月历史特征值对比返回类", description = "")
public class HydroMonthCharacterValueCompareView {
    /**
     * 报汛特征值月历史对比列表
     */
    @ApiModelProperty(value = "报汛特征值月历史对比列表")
    private PageVo<HydroMonthCharacterValueCompare> compareData;
}