package com.cuit.basin.base.biz.vo; /***********************************************************************
 * Module:  HydroMonthCharacterFlowValue.java
 * Author:  PYJ
 * Purpose: Defines the Class HydroMonthCharacterFlowValue
 ***********************************************************************/


import com.cuit.basin.base.biz.pojo.HydroMonthCharacterValue;
import com.cuit.basin.framework.common.ret.PageVo;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

/**
 * 报汛特征值-月特征值返回类
 *
 * @author pyj
 */
@Builder
@Data
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@ApiModel(value = "报汛特征值-月特征值返回类", description = "")
public class HydroMonthCharacterValueView {
    /**
     * 报汛特征值月份列表
     */
    @ApiModelProperty(value = "报汛特征值月份列表")
    private PageVo<HydroMonthCharacterValue> characterValue;
}