package com.cuit.basin.base.biz.vo;


import com.cuit.basin.base.biz.pojo.ModelForeData;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 单站预测展开数据类
 */
@ApiModel(value = "HydroSingleStationForeAllView", description = "单站预测展开数据类")
@NoArgsConstructor
@AllArgsConstructor
@Data
@Builder
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class HydroSingleStationForeAllView {
    /**
     * 单站预测展开数据列表
     */
    @ApiModelProperty(value = "单站预测展开数据列表")
    private List<ModelForeData> modelForeDataList;
}
