package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.pojo.CurrData;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;


@ApiModel(value = "ManualCorrectionCurveView", description = "手动订正预报曲线")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class ManualCorrectionCurveView {
    @ApiModelProperty(value = "站号")
    private String stationNo;

    @ApiModelProperty(value = "订正数据列表")
    private List<CurrData> currDataList;
}
