package com.cuit.basin.base.biz.vo; /***********************************************************************
 * Module:  MessageInfo.java
 * Author:  PYJ
 * Purpose: Defines the Class MessageInfo
 ***********************************************************************/

import com.cuit.basin.base.biz.entity.MessageInfo;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 消息
 */
@ApiModel(value = "消息", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class MessageInfoView {
    /**
     * 消息列表
     */
    @ApiModelProperty(value = "消息列表")
    private List<MessageInfo> messageInfoList;
}