package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.pojo.ModuleFittedDataInfo;
import com.cuit.basin.base.biz.pojo.RealDataInfo;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@ApiModel(value = "ModuleFittedDataView", description = "实况/拟合数据类")
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ModuleFittedDataView {
    @ApiModelProperty("实况数据")
    private List<RealDataInfo> realDataInfoList;
    @ApiModelProperty("模型数据")
    private List<ModuleFittedDataInfo> moduleFittedDataInfoList;
}
