package com.cuit.basin.base.biz.vo; /***********************************************************************
 * Module:  RainfallProcessView.java
 * Author:  PYJ
 * Purpose: Defines the Class RainfallProcessView
 ***********************************************************************/

import com.cuit.basin.base.biz.entity.MeteRainfallProcess;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 雨量过程
 */
@ApiModel(value = "雨量过程", description = "")
@Data
@NoArgsConstructor
@AllArgsConstructor
/**
 * 为空属性、字段不返回
 */
@Builder
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class RainfallProcessView {
    /**
     * 雨量数据列表
     */
    @ApiModelProperty(value = "雨量数据列表")
    private List<MeteRainfallProcess> rainfallProcessList;
}