package com.cuit.basin.base.biz.vo;

import com.cuit.basin.base.biz.pojo.ModelForeData;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 单站预测数据展开
 */
@ApiModel(value = "单站预测数据展开", description = "")
@NoArgsConstructor
@AllArgsConstructor
@Data
@JsonInclude(value = JsonInclude.Include.NON_NULL)
@Builder
public class SingleStationForeDataView {
    /**
     * 单站预测数据列表
     */
    @ApiModelProperty(value = "单站预测数据列表")
    private List<ModelForeData> modelForeDataList;
}
