package com.cuit.basin.base.biz.vo; /***********************************************************************
 * Module:  WatershedStationArealRainfallView.java
 * Author:  PYJ
 * Purpose: Defines the Class WatershedStationArealRainfallView
 ***********************************************************************/

import com.cuit.basin.base.biz.entity.WatershedStationArealRainfall;
import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * 流域站点面雨量
 */
@ApiModel(value = "流域站点面雨量", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
/**
 * 为空属性、字段不返回
 */
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class WatershedStationArealRainfallView {
    /**
     * 流域站点面雨量数据列表
     */
    @ApiModelProperty(value = "流域站点面雨量数据列表")
    private List<WatershedStationArealRainfall> watershedStationArealRainfallList;
}