package com.cuit.basin.framework.common.constant;

/**
 * 历史回溯时间段
 *
 * @author xiaoyinrui
 */
public enum TimeLast {
    /**
     * 前12小时
     */
    LAST_12_HOUR(1, "前12小时"),
    /**
     * 前24小时
     */
    LAST_24_HOUR(2, "前24小时"),
    /**
     * 前3天
     */
    LAST_3_DAY(3, "前3天"),
    /**
     * 前1周
     */
    LAST_1_WEEK(4, "前1周"),
    /**
     * 前1月
     */
    LAST_1_MONTH(5, "前1月");

    private final int code;
    private final String name;

    TimeLast(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public int getCode() {
        return code;
    }

    public String getName() {
        return name;
    }

}
