package com.cuit.basin.framework.common.utils.communiqueutils;

import java.math.BigInteger;
import java.util.Date;

public class Bulletin {
    private Long id;//公报id
    private Date datatime;//数据时间
    private String title;//标题
    private Integer year;//年
    private String issue;//第几期
    private String publish;//发布单位
    private String issuer;//签发
    private String content;//内容
    private String defenseguide;//防御指南
    private String imgfilename1;//图片路径1
    private String imgfilename2;//图片路径2
    private String wordpath;//公报生成路径
    private Date createdate;//创建时间
    private String wordfilename;//公报名称
    private Boolean wordupdate;//公报是否重新编辑
    private Date wordupdatetime;//公报重新编辑时间
    private BigInteger geoserverid;//地图服务id
    private Integer status;//状态标识
    private Date senddate;//发送时间
    private Integer sendrs;//

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getImgfilename1() {
        return imgfilename1;
    }

    public void setImgfilename1(String imgfilename1) {
        this.imgfilename1 = imgfilename1;
    }

    public String getImgfilename2() {
        return imgfilename2;
    }

    public void setImgfilename2(String imgfilename2) {
        this.imgfilename2 = imgfilename2;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Date getDatatime() {
        return datatime;
    }

    public void setDatatime(Date datatime) {
        this.datatime = datatime;
    }

    public Integer getYear() {
        return year;
    }

    public void setYear(Integer year) {
        this.year = year;
    }

    public String getIssue() {
        return issue;
    }

    public void setIssue(String issue) {
        this.issue = issue;
    }

    public String getPublish() {
        return publish;
    }

    public void setPublish(String publish) {
        this.publish = publish;
    }

    public String getIssuer() {
        return issuer;
    }

    public void setIssuer(String issuer) {
        this.issuer = issuer;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getDefenseguide() {
        return defenseguide;
    }

    public void setDefenseguide(String defenseguide) {
        this.defenseguide = defenseguide;
    }

    public String getWordpath() {
        return wordpath;
    }

    public void setWordpath(String wordpath) {
        this.wordpath = wordpath;
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public String getWordfilename() {
        return wordfilename;
    }

    public void setWordfilename(String wordfilename) {
        this.wordfilename = wordfilename;
    }

    public Boolean getWordupdate() {
        return wordupdate;
    }

    public void setWordupdate(Boolean wordupdate) {
        this.wordupdate = wordupdate;
    }

    public Date getWordupdatetime() {
        return wordupdatetime;
    }

    public void setWordupdatetime(Date wordupdatetime) {
        this.wordupdatetime = wordupdatetime;
    }

    public BigInteger getGeoserverid() {
        return geoserverid;
    }

    public void setGeoserverid(BigInteger geoserverid) {
        this.geoserverid = geoserverid;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getSenddate() {
        return senddate;
    }

    public void setSenddate(Date senddate) {
        this.senddate = senddate;
    }

    public Integer getSendrs() {
        return sendrs;
    }

    public void setSendrs(Integer sendrs) {
        this.sendrs = sendrs;
    }

    public String getTableName() {
        return "tb_communiquelist";
    }
}
