package com.cuit.basin.framework.common.utils.other;

import org.springframework.stereotype.Component;
import org.springframework.util.DigestUtils;

/**
 * @description
 * @date 2018/8/3
 */
public class Md5TokenGenerator implements TokenGenerator {

    @Override
    public String generate(String... strings) {
        long timestamp = System.currentTimeMillis();
        String tokenMeta = "";
        for (String s : strings) {
            tokenMeta = tokenMeta + s;
        }
        tokenMeta = tokenMeta + timestamp;
        String token = DigestUtils.md5DigestAsHex(tokenMeta.getBytes());
        return token;
    }
}
