package com.cuit.basin.framework.kafka.core.common;

/**
 * @BelongsProject: sriversys
 * @BelongsPackage: com.cuit.sriver.sriversys.server.kafka.common
 * @Author: HouPJ
 * @Date: 2022/12/19 21:59
 * @Description: kafka消息主题
 */
public class KafkaTopic {
    /**
     * 日志记录主题
     */
    public static final String TOPIC_AOP_LOG = "topic_aop_log";

    /**
     * 模型调度主题 -- 模型启动
     */
    public static final String TOPIC_MODEL_START = "topic_model_start";

    /**
     * 模型调度主题 -- 模型启动
     */
    public static final String TOPIC_MODEL_INIT = "topic_model_init";

    /**
     * 模型调度主题 -- 模型启动
     */
    public static final String TOPIC_MODEL_START_TEST = "topic_model_start_test";

    /**
     * 模型调度主题 -- 模型停止
     */
    public static final String TOPIC_MODEL_STOP = "topic_model_stop";


    /**
     * 模型调度主题 -- 模型异常
     */
    public static final String TOPIC_MODEL_EXCEPTION = "topic_model_exception";

    /**
     * 模型调度主题 -- 模型运行进度
     */
    public static final String TOPIC_MODEL_PROCESS = "topic_model_process";

    /**
     * 模型调度主题 -- 模型实时日志入库
     */
    public static final String TOPIC_MODEL_LOG = "topic_model_log";

    /**
     * 模型调度主题 -- 模型成功运行结束
     */
    public static final String TOPIC_MODEL_SUCCESS = "topic_model_success";

    /**
     * 数据采集主题
     */
    public static final String TOPIC_DATA_ETL = "topic_data_etl";

    /**
     * 数据采集主题 -- 水文数据采集实时日志
     */
    public static final String TOPIC_DATA_ETL_HYDRO = "topic_data_etl_hydro";

    /**
     * 数据采集主题 -- 气象数据采集实时日志
     */
    public static final String TOPIC_DATA_ETL_METEOROLOGY = "topic_data_etl_meteorology";
}
