package com.cuit.basin.base.redismq.core.message;

import lombok.Data;

import java.util.HashMap;
import java.util.Map;

/**
 * @BelongsProject: basin-cloud
 * @BelongsPackage: com.cuit.basin.base.redismq.core.message
 * @Author: HouPJ
 * @Date: 2023/1/3 21:46
 * @Description: TODO
 */
@Data
public abstract class AbstractRedisMessage {
    /**
     * 消息头
     */
    private Map<String, String> headers = new HashMap<>();

    public String getHeader(String key) {
        return headers.get(key);
    }

    public void addHeader(String key, String value) {
        headers.put(key, value);
    }

}
