package com.cuit.sriver.sriversys.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.sriver.sriversys.entity.GlacierData;
import com.cuit.sriver.sriversys.pojo.GlacierDataUnion;

import java.util.List;

/**
 * 冰川图层Mapper
 *
 * @author pyj
 */
public interface GlacierDataMapper extends BaseMapper<GlacierData> {
    /**
     * 查询最新的冰川图层列表
     */
    List<GlacierDataUnion> selectLatestGlacierLayerList();
}
