package com.cuit.sriver.sriversys.dao;

import com.cuit.sriver.sriversys.entity.ModelParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author PancakeCN
 * @link <a href="https://github.com/PancakeCN">Github主页</a>
 * @date 2022/12/16 11:14
 */
public interface ModelParamMapper extends BatchBaseMapper<ModelParam> {

    /**
     * 根据模型id和模型字段查询模型参数
     *
     * @param mid 模型id
     * @return List<ModelParam>
     */
    List<ModelParam> selectModelParamList(@Param("mid") Integer mid);
}
