package com.cuit.sriver.sriversys.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.sriver.sriversys.entity.ThematicMap;
import org.apache.ibatis.annotations.Mapper;

import java.time.LocalDateTime;
import java.util.List;

/**
* @author ASUS
* @description 针对表【thematic_map(专题图)】的数据库操作Mapper
* @createDate 2022-12-20 15:00:45
* @Entity com.cuit.sriver.sriversys.entity.ThematicMap
*/
@Mapper
public interface ThematicMapMapper extends BaseMapper<ThematicMap> {

    List<ThematicMap> selectListByParams(String type, LocalDateTime stTime, LocalDateTime endTime,Integer bsId);
}




