package com.cuit.sriver.sriversys.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.cuit.sriver.sriversys.entity.WatershedData;
import com.cuit.sriver.sriversys.pojo.WatershedInfo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 流域基础数据Mapper
 *
 * @author pyj
 */
@Mapper
public interface WatershedDataMapper extends BaseMapper<WatershedData> {
    /**
     * 查询最新流域面雨量按最大值流域排序
     */
    List<WatershedInfo> selectWatershedOrderInfo();
}
