package com.cuit.sriver.sriversys.entity; /***********************************************************************
 * Module:  HydroHistorySimilarValue.java
 * Author:  PYJ
 * Purpose: Defines the Class HydroHistorySimilarValue
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.utils.other.Double2Serializer;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 历史相似值
 *
 * @author pyj
 */
@Builder
@ApiModel(value = "历史相似值", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("hyd_si_hissv_s")
public class HydroHistorySimilarValue {
    /**
     * 年
     */
    @ApiModelProperty(value = "年")
    private int yr;
    /**
     * 步长
     */
    @ApiModelProperty(value = "步长")
    private int stl;
    /**
     * 相似值
     */
    @JsonSerialize(using = Double2Serializer.class)
    @ApiModelProperty(value = "相似值")
    private double sv;

}