package com.cuit.sriver.sriversys.entity; /***********************************************************************
 * Module:  SectionData.java
 * Author:  PYJ
 * Purpose: Defines the Class SectionData
 ***********************************************************************/

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 断面数据
 *
 * @author pyj
 */
@ApiModel(value = "断面数据", description = "")
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("hyd_bi_secdata_b")
public class SectionData {
    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    @TableId
    private String stcd;
    /**
     * 起点距
     */
    @ApiModelProperty(value = "起点距")
    private Double v;
    /**
     * 高程
     */
    @ApiModelProperty(value = "高程")
    private Double h;

}