package com.cuit.sriver.sriversys.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.cuit.basin.framework.common.constant.ModuleEnum;
import lombok.Data;

import java.io.Serializable;

/**
 * @TableName t_dic_module
 */
@TableName(value = "t_dic_module")
@Data
public class TDicModule implements Serializable {
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
    /**
     * 类型编码
     * {@link ModuleEnum}
     */
    @TableId
    private Integer typeCode;
    /**
     * 类型名称
     */
    private String typeName;
}