package com.cuit.sriver.sriversys.pojo;

import com.cuit.basin.framework.common.constant.Constant;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 订正数据类
 */
@ApiModel(value = "订正数据类", description = "")
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Data
public class CurrData {
    /**
     * 起报时间
     */
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    @ApiModelProperty(name = "起报时间", notes = "")
    private LocalDateTime dateTime;
//    /**
//     * 预报时效
//     */
//    @ApiModelProperty(name = "预报时效", notes = "")
//    private Integer validtm;
    /**
     * 预报时间
     */
    @ApiModelProperty(name = "预报时间", notes = "")
    @JsonFormat(pattern = Constant.PATTERN_DATETIME, timezone = Constant.TIMEZONE)
    private LocalDateTime foretm;
    /**
     * 订正水位
     */
    @ApiModelProperty(value = "订正水位")
    private BigDecimal currz;
    /**
     * 订正流量
     */
    @ApiModelProperty(value = "订正流量")
    private BigDecimal currq;




}
