package com.cuit.sriver.sriversys.pojo; /***********************************************************************
 * Module:  HistoryCompareView.java
 * Author:  PYJ
 * Purpose: Defines the Class HistoryCompareView
 ***********************************************************************/


import com.fasterxml.jackson.annotation.JsonInclude;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;

/**
 * 数据对比
 */
@Builder
@Data
@ApiModel(value = "数据对比", description = "")
@JsonInclude(value = JsonInclude.Include.NON_NULL)
public class DataCompare {
    /**
     * 时间字段
     */
    @ApiModelProperty(value = "时间字段")
    private Integer time;
    /**
     * 站号
     */
    @ApiModelProperty(value = "站号")
    private String stcd;
    /**
     * 对应数据列表
     */
    @ApiModelProperty(value = "对应数据列表")
    private List<HydroStationDataValue> data;
}