package com.cuit.sriver.sriversys.pojo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@Builder
@ApiModel(value = "DicBSData", description = "流域字典")
public class DicBSData {
    /**
     * 流域id
     */
    @TableField(value = "BSID")
    @ApiModelProperty("流域id")
    private Integer bsId;
    /**
     * 流域名称
     */
    @TableField(value = "BSNM")
    @ApiModelProperty("流域名称")
    private String bsNm;

}
