package com.cuit.sriver.sriversys.pojo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

/**
 * 编辑用户列表返回类
 *
 * @author llw
 * @date 2022/12/5 11:35
 */
@AllArgsConstructor
@NoArgsConstructor
@Data
@Getter
@Setter
@ApiModel(value = "UserDto", description = "编辑用户列表返回类")
public class UserDto {

    @ApiModelProperty("登录名")
    private String loginname;

    @ApiModelProperty("姓名")
    private String name;

    @ApiModelProperty("部门或单位名")
    @TableField(value = "dpt_name")
    private String dptName;

    @ApiModelProperty("所任职务")
    @TableField(value = "position_name")
    private String positionName;

    @ApiModelProperty("权限等级")
    @TableField(value = "permission_level_name")
    private String permissionLevelName;

    @ApiModelProperty("电话号码")
    private String tel;

    @ApiModelProperty("密码")
    @TableField(value = "password")
    private String password;
}
