package com.cuit.basin.model.job;

import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;

@Component        //注册bean
@ConfigurationProperties(prefix = "quartz.properties")
@Data
@Getter
@Setter
public class JobList {
    /**
     * 定时任务列表
     */
    private List<JobConfig> joblist;

}