package com.cuit.basin.model.job.data;

import lombok.Builder;
import lombok.Data;

/**
 * @author Xiao Yinrui
 */
@Data
@Builder
public class ClimateForcing {
    /**
     * 时间
     */
    private String time;
    /**
     * 风速
     */
    private Double wind;
    /**
     * 降水
     */
    private Double rain;
    /**
     * 气温
     */
    private Double temperature;
    /**
     * 相对湿度
     */
    private Double relativeHumidity;

    public String writeString() {
        return time + "\t" + wind + "\t" + rain + "\t" + temperature + "\t" + relativeHumidity;
    }
}
